*::before, *::after {
    margin: 0;
    padding: 0;
    border: none;
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    line-height: 1;
    font-family: Manrope;
    background-color: #fafafa;
    height: 100%;
}

.wraper{
    min-height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    background-color: #fafafa;
}

.page {
    flex: 1 1 auto;
    background-color: #fafafa;
    flex-wrap: wrap;
    display: flex;
    height: 100%;
}

.back-col-white{
    background-color: #fff;  
}

.left-panel-container{
    width: 30%;
    flex: 0 0 auto;
    margin: 0;
    justify-content: center;
    min-height: 100%;   
}

.edit-form-container{
    width: 70%;
    flex: 0 0 auto;    
}

@media (max-width: 767.98px){
    .page>*{
        width: 100%;
        max-width: 100%;
        box-sizing: content-box;
        flex:auto
    }   
}

.list-form {
    position: relative;
    top: 0;
}

.form-components {
    height: 100%;
    padding: 0;
    margin: 0;
    text-align: center;
    justify-content: center;
    display: block;
    align-items: center;
    border: 1px solid #E5E5E5;
    background-color: #fff;

}

.title-list-form {
    display: flex;
    background-color: #E5E5E5;
    padding: 0;
    margin: 0;
    text-align: center;
    min-height: 60px;
    justify-content: center;
    align-items: center;
    font-weight: 800;
}

.title-menu{
    position: relative;
    display: flex;
}

.menu-fields, .menu-description {
    display: flex;
    padding: 0;
    margin: 0;
    text-align: center;
    min-height: 60px;
    justify-content: center;
    align-items: center; 
    width: 50%;
    cursor: pointer;
    color: grey;
    opacity: 0.5;
    font-size: 12px;
    border-bottom: 1px solid grey;   
} 

.active {
    color: #7F87DF;
    opacity: 1;
    border-bottom: 3px solid #7F87DF;  
}

.fields, .description {
    margin: 0 30px 0 30px;
}

.help, .title-filds, .title-description, .help-description, .edit-form-description {
    display: flex;
    justify-content:left;
    min-height: 40px;
    align-items: center;
}

.help, .help-description {
    font-size: 12px;
    font-style: italic;
    color: grey;
    opacity: 0.5;
    border-bottom: 1px solid grey;
}

.title-filds, .title-description {
    font-size: 16px;
    font-weight: 500;
}

.custom-elements{
    min-height: 100%;
    color: royalblue;
    display: table;
    width: 100%;
}
.my-button {
    width: 40%;
    min-width: 110px;
    height: 40px;
    border-color: grey;
    opacity: 0.5;
    border-style: solid;
    border-width: 1px;
    margin: 10px;
    border-radius: 5px;
    background-color: #fff;
    cursor: pointer;
}

.active-b {
    color: #7F87DF;
    opacity: 1;
    border: 3px solid #7F87DF;  
}

#description {
    max-width: 100%;
    min-width: 100%;
    min-height: 50px;
    border: 1px solid grey;
    opacity: 0.6;   
    border-radius: 5px;
}

.edit-form-container{
    min-height: 100%;
}

.edit-form{
    margin: 60px;
    border: 1px solid #E5E5E5;
    padding: 0 60px;
    height: 100%;
}

.edit-form-header {
    display: flex;
    padding: 0;
    margin: 0;
    text-align: center;
    min-height: 60px;
    justify-content: space-between;
    align-items: center;
    font-weight: 800;
}

.edit-form-description {
    font-size: 12px;
}
.edit-form-description-header {
    color: grey;
    opacity: 0.5;
}

.edit-form-description-value {
    margin-left: 5px;
    color: black;
}

.btn-save-form{
    width: 120px;
    height: 30px;
    border-color: #7F87DF;
    border-style: solid;
    border-width: 1px;
    margin: 10px;
    border-radius: 5px;
    background-color: #7F87DF;
    cursor: pointer;
    color: #fff;
}

.btn-save-form-non-active{
    width: 120px;
    height: 30px;
    border-color: #7F87DF;
    border-style: solid;
    border-width: 1px;
    margin: 10px;
    border-radius: 5px;
    background-color: #fff;
    color: #7F87DF;
    opacity: 0.5;
}

.edit-form-line{
    width: 100%;
    height: 1px;
    border-bottom: 1px solid grey;
    opacity: 0.5;
}

.edit-form-components {
    display: flex;
    min-height: 100%;
    margin-top: 20px;
}

table {
    display: block;
    min-width: 100%;
    font-size: 12px;
}

thead {
    text-align: left;
}

.required {
    color: red;
}
